<?php

namespace App\Models;

use App\Traits\GlobalStatus;
use Illuminate\Database\Eloquent\Model;

class Chapter extends Model
{
    use GlobalStatus;

    public function course()
    {
        return $this->belongsTo(Course::class, 'course_id');
    }
    public function lectures()
    {
        return $this->hasMany(Lecture::class, 'chapter_id');
    }
}
